|Home | Tutorial | Classes | Functions | QSA Workbench | Language | Qt API | QSA Articles | Qt Script for Applications |

# QSWorkbench Class Reference

The QSWorkbench class provides an interface to QSA Workbench, the QSA simple scripting environment. More...

`#include <qsworkbench.h>`

List of all member functions.

## Public Members

- QSWorkbench ( QSProject * project, QWidget * parent = 0, const char * name = 0 )
- QWidget * widget ()
- QSProject * project ()

## Public Slots

- void open ()
- void close ()
- void showScript ( QSScript * script )
- void showFunction ( QSScript * script, const QString & function )

## Detailed Description

The QSWorkbench class provides an interface to QSA Workbench, the QSA simple scripting environment.

## Member Function Documentation

### QSWorkbench::QSWorkbench ( QSProject * project, QWidget * parent = 0, const char * name = 0 )

Creates the simple scripting environment for the project project, with parent parent and name name.

### void QSWorkbench::close ()`[slot]`

Hides QSA Workbench. Hiding the Scripting environement does not trigger any change in the project.

### void QSWorkbench::open ()`[slot]`

Opens QSA Workbench, the QSA simple scripting environment.

### QSProject * QSWorkbench::project ()

Returns the project edited in QSA Workbench.

### void QSWorkbench::showFunction ( QSScript * script, const QString & function )`[slot]`

Makes script the current script in the editor and highlights the declaration of function, if found.

### void QSWorkbench::showScript ( QSScript * script )`[slot]`

Makes script the current script in the editor.

### QWidget * QSWorkbench::widget ()

Returns the QSA Workbench main widget.

This file is part of Qt Script for Applications, copyright © 2001-2004 Trolltech. All Rights Reserved.